[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TInterfaceList.Destroy

Destroys the list of interfaces

## Declaration

Source position: classesh.inc line 1874

`public destructor TInterfaceList.Destroy; override;`

## Description

Destroy first calls Clear and then frees the TInterfaceList instance from memory.

Note that the Clear method decreases the reference count of all interfaces.

## See also

Create |  | Create a new instance of TInterfaceList
Clear |  | Removes all interfaces from the list.

Documentation generated on: Feb 26 2014